Bug 216126 - www/lighttpd: update to 1.4.45
Summary: www/lighttpd: update to 1.4.45
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-15 22:15 UTC by Piotr Kubaj
Modified: 2017-01-16 13:40 UTC (History)
1 user (show)

See Also:
pkubaj: maintainer-feedback+


Attachments
patch (1002 bytes, patch)
2017-01-15 22:15 UTC, Piotr Kubaj
pkubaj: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2017-01-15 22:15:58 UTC
Created attachment 178937 [details]
patch

The attached patch updates the port to 1.4.45.
Changelog:
    [mod_cgi] skip local-redir handling if to self (fixes #2779, #2108)
    [mod_webdav] fix crash when plugin_ctx cleaned up (fixes #2780)
    [mod_fastcgi] detect child exit, restart proactively
    [mod_scgi] detect child exit, restart proactively
    [TLS] ssl.read-ahead = “disable” for low mem (fixes #2778)

It builds and runs fine on 11.0.
I've run testbuilds for www/lighttpd-mod_h264_streaming, which albo builds fine.
Comment 1 Joseph Mingrone freebsd_committer 2017-01-16 12:53:57 UTC
Under review at https://reviews.freebsd.org/D9198.
Comment 2 commit-hook freebsd_committer 2017-01-16 13:36:34 UTC
A commit references this bug:

Author: jrm
Date: Mon Jan 16 13:36:10 UTC 2017
New revision: 431642
URL: https://svnweb.freebsd.org/changeset/ports/431642

Log:
  www/lighttpd: Update to version 1.4.45.

  Upstream changes: https://www.lighttpd.net/2017/1/14/1.4.45/

  PR:		216126
  Submitted by:	pkubaj@anongoth.pl (maintainer)
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9198

Changes:
  head/www/lighttpd/Makefile
  head/www/lighttpd/distinfo
Comment 3 Joseph Mingrone freebsd_committer 2017-01-16 13:40:36 UTC
Committed. Thanks.